{%- from "redis/map.jinja" import server with context %}
{%- from "redis/map.jinja" import cluster with context %}

redis_task_service_stopped:
  test.show_notification:
    - name: "dump_message_service_stopped_redis"
    - text: "Running redis.upgrade.service_stopped"

{# Stop services only in case major Redis version upgrade #}
{%- set currentVer = salt['cmd.run']("redis-cli -v | awk '{print $2}'") %}
{%- if not currentVer.startswith(server.version|string) %}
  {%- if server.get('enabled') %}
redis_server_stopped:
  service.dead:
  - enable: false
  - name: {{ server.service }}
  {%- endif %}

  {%- if cluster.get('enabled') %}
redis_cluster_stopped:
  service.dead:
  - enable: false
  - name: {{ cluster.service }}
  {%- endif %}
{%- endif %}