{%- from "redis/map.jinja" import server with context %}
{%- from "redis/map.jinja" import cluster with context %}

redis_task_pkgs_latest:
  test.show_notification:
    - name: "dump_message_pkgs_latest"
    - text: "Running redis.upgrade.pkg_latest"

{%- if server.enabled %}
redis_server_latest_packages:
  pkg.latest:
  - names: {{ server.pkgs }}
{%- endif %}

{%- if server.enabled %}
redis_cluster_latest_packages:
  pkg.latest:
  - names: {{ cluster.pkgs }}
{%- endif %}
